Get Slashing Cohort Analysis
curl --request GET \
--url https://api.rated.network/v0/eth/slashings/cohortAnalysis \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/eth/slashings/cohortAnalysis"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/eth/slashings/cohortAnalysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"cohort": "<string>",
"lastSixMonths": 1,
"pastYear": 1,
"pastTwoYears": 1,
"allTime": 1
}
]{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Slashings
Slashings cohort analysis
GET
/
v0
/
eth
/
slashings
/
cohortAnalysis
Get Slashing Cohort Analysis
This endpoint returns the frequency of slashing incidents for validators, grouped by different operator cohort sizes, from solo to professional operators with more than 5,000 validator keys. The cohorts are mapped against different time periods ranging from 6 months to all time.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky